Debian Bug report logs - #490402
Mplayer plugin should claim support for audio/x-m4a and audio/m4a

version graph

Package: mozilla-mplayer; Maintainer for mozilla-mplayer is (unknown);

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sat, 12 Jul 2008 06:06:01 UTC

Severity: normal

Tags: patch

Found in version mplayerplug-in/3.55-1

Fixed in version mplayerplug-in/3.55-1.1

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490402; Package mozilla-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: Mplayer plugin should claim support for audio/x-m4a
Date: Sat, 12 Jul 2008 08:02:48 +0200
Package: mozilla-mplayer
Version: 3.55-1
User: debian-edu@lists.debian.org
Usertag: debian-edu

The Mplayer mozilla plugin is able to play files using the mime type
"audio/x-m4a", but because the plugin do not claim support for it, the
file isn't played.  A test page demonstrating this is
<URL:http://loekebergskole.no/podpress/category/podcaster/comenius/norsong/>.

To test, visit the page using iceweasel, press the 'Play now' option
after the text for "Lille Petter Edderkopp".

Please list the "audio/x-m4a" mime type as one supported by mplayer.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490402; Package mozilla-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #10 received at 490402@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490402@bugs.debian.org
Subject: Re: Mplayer plugin should claim support for audio/x-m4a
Date: Sat, 12 Jul 2008 21:58:12 +0200
tags 490402 + patch
retitle 490402 Mplayer plugin should claim support for audio/x-m4a and audio/m4a
thanks

This patch solve the issue, by adding the two required mime types used
by the test page.  Please include it in Lenny, as the support is
requested by a school for use in Debian Edu (the test page is from a
school here in Norway).

I was not quite sure which option this mime type should be grouped
under, but went with the mp3 one, as it seemed most appropriate.

diff -ru mplayerplug-in-3.55/Source/plugin-setup.cpp mplayerplug-in-3.55.new/Source/plugin-setup.cpp
--- mplayerplug-in-3.55/Source/plugin-setup.cpp	2008-05-13 21:42:58.000000000 +0000
+++ mplayerplug-in-3.55.new/Source/plugin-setup.cpp	2008-07-12 19:50:28.000000000 +0000
@@ -356,6 +356,8 @@
 			"audio/mpeg3:mp3:MPEG audio;"
 			"audio/x-mpeg3:mp3:MPEG audio;"
 			"audio/x-mpegurl:m3u:MPEG url;"
+			"audio/m4a:m4a:MPEG audio;"
+			"audio/x-m4a:m4a:MPEG audio;"
 			"audio/mp3:mp3:MPEG audio;", sizeof(MimeTypes));
 
 	}

Happy hacking,
-- 
Petter Reinholdtsen




Tags added: patch Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 12 Jul 2008 20:03:04 GMT) Full text and rfc822 format available.

Changed Bug title to `Mplayer plugin should claim support for audio/x-m4a and audio/m4a' from `Mplayer plugin should claim support for audio/x-m4a'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 12 Jul 2008 20:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490402; Package mozilla-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #19 received at 490402@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490402@bugs.debian.org
Subject: Re: Mplayer plugin should claim support for audio/x-m4a
Date: Sun, 13 Jul 2008 12:04:40 +0200
I was just told that the mime type has been added to the upstream svn
source, and will be included in the next version of the plugin.  It
would be great if the Lenny version of the plugin support this mime
type.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490402; Package mozilla-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #24 received at 490402@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490402@bugs.debian.org
Subject: Re: Mplayer plugin should claim support for audio/x-m4a
Date: Sat, 26 Jul 2008 15:04:43 +0200
As Lenny freezes this weekend, I wonder if it is any chance of having
a fixed package uploaded before the freeze, to get this fixed in
Lenny?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#490402; Package mozilla-mplayer. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. Full text and rfc822 format available.

Message #29 received at 490402@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490402@bugs.debian.org
Subject: Re: Mplayer plugin should claim support for audio/x-m4a
Date: Sat, 16 Aug 2008 18:30:05 +0200
I plan to NMU this package to fix this problem.  The fix was already
commited to upstream CVS, see
<URL:http://sourceforge.net/mailarchive/message.php?msg_name=E1KHmRH-0000m1-4R%40mail.sourceforge.net>.

I'll see if any of the other bugs can be closed in the process.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 490402-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 490402-close@bugs.debian.org
Subject: Bug#490402: fixed in mplayerplug-in 3.55-1.1
Date: Sat, 16 Aug 2008 17:17:03 +0000
Source: mplayerplug-in
Source-Version: 3.55-1.1

We believe that the bug you reported is fixed in the latest version of
mplayerplug-in, which is due to be installed in the Debian FTP archive:

mozilla-mplayer_3.55-1.1_i386.deb
  to pool/main/m/mplayerplug-in/mozilla-mplayer_3.55-1.1_i386.deb
mplayerplug-in_3.55-1.1.diff.gz
  to pool/main/m/mplayerplug-in/mplayerplug-in_3.55-1.1.diff.gz
mplayerplug-in_3.55-1.1.dsc
  to pool/main/m/mplayerplug-in/mplayerplug-in_3.55-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated mplayerplug-in package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 16 Aug 2008 18:57:19 +0200
Source: mplayerplug-in
Binary: mozilla-mplayer
Architecture: source i386
Version: 3.55-1.1
Distribution: unstable
Urgency: low
Maintainer: Ari Pollak <ari@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 mozilla-mplayer - MPlayer-Plugin for Mozilla
Closes: 490402
Changes: 
 mplayerplug-in (3.55-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to solve issue important
     for Debian Edu.
   * Add new patch 01_mp4-audio.patch to add audio/m4a and
     audio/x-m4a mime types to list of handled MIME
     types (Closes: #490402).  Patch from upstream CVS.
Checksums-Sha1: 
 ccb17e7169b1a4884ff2f0563fca36b87ec41280 1095 mplayerplug-in_3.55-1.1.dsc
 fe19f57c9f639f31266b6b8127cb663401d595cc 8899 mplayerplug-in_3.55-1.1.diff.gz
 b6bd0d52db097bdb78eb6c9e288848d3f3016837 531666 mozilla-mplayer_3.55-1.1_i386.deb
Checksums-Sha256: 
 fea32eeee9538c0469ef49191707c35a26d24f42f71d0eefe87095be84e9dfea 1095 mplayerplug-in_3.55-1.1.dsc
 2164bed6ea214d4fe27e319182c78c71bb111b5cd99de58ae2c6d970776e5ce8 8899 mplayerplug-in_3.55-1.1.diff.gz
 dad6f18228f2f5ba1571c4efd855c09b0f9bae0ae66ec8832e068911c38bf288 531666 mozilla-mplayer_3.55-1.1_i386.deb
Files: 
 e886ea3f77e9204844b25e2340f82769 1095 graphics extra mplayerplug-in_3.55-1.1.dsc
 a04ceb4813626bc14824491538d02391 8899 graphics extra mplayerplug-in_3.55-1.1.diff.gz
 299a46fb9b523c3cd2f321d6eac79233 531666 graphics extra mozilla-mplayer_3.55-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIpwey20zMSyow1ykRAnKiAKC5r3YU8LtnyX+rvtwxq83cWzXwlACfcqCg
RBXs6TPddLYIMJrQfMtImq8=
=gu4R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Sep 2008 07:25:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:06:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.